cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/accounts/ACC0001/component/cmp_4a7c2e9b1d3f4c8a9e6b2d1f3a5c7e9b?limit=20" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.accounts.get_account_component_objects(
"ACC0001", "cmp_4a7c2e9b1d3f4c8a9e6b2d1f3a5c7e9b", {"limit": 20}
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.accounts.getAccountComponentObjects('ACC0001', 'cmp_4a7c2e9b1d3f4c8a9e6b2d1f3a5c7e9b', {
limit: 20,
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->accounts->getAccountComponentObjects(
'ACC0001',
'cmp_4a7c2e9b1d3f4c8a9e6b2d1f3a5c7e9b',
['limit' => 20],
);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.custom_components.custom_components_dto.CustomComponentsDto.ComponentObjects;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<ComponentObjects> response = client.accounts().getAccountComponentObjects(
"ACC0001",
"cmp_4a7c2e9b1d3f4c8a9e6b2d1f3a5c7e9b",
Map.of("limit", 20));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Accounts.GetAccountComponentObjectsAsync(
"ACC0001",
"cmp_4a7c2e9b1d3f4c8a9e6b2d1f3a5c7e9b",
new Dictionary<string, object?> { ["limit"] = 20 });
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.accounts.getAccountComponentObjects(
'ACC0001',
'cmp_4a7c2e9b1d3f4c8a9e6b2d1f3a5c7e9b',
queryParams: {'limit': 20},
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Accounts().GetAccountComponentObjects(context.Background(), "ACC0001", "cmp_4a7c2e9b1d3f4c8a9e6b2d1f3a5c7e9b", map[string]any{"limit": 20}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"data": [
{
"accounts": "<array>",
"attribute_groups": "<array>",
"attributes": "<array>",
"code": "<string>",
"component": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"created_by": "<unknown>",
"created_on": "<string>",
"custom_form": {
"id": "<string>",
"name": "<string>",
"object": "<string>"
},
"custom_objects": "<array>",
"href": "<string>",
"id": "<string>",
"items": "<array>",
"last_updated_by": "<unknown>",
"last_updated_on": "<unknown>",
"object": "<string>",
"orders": "<array>",
"parents": [
{
"email": "<string>",
"id": "<string>",
"name": "<string>",
"object": "<string>",
"type": "<string>"
}
],
"quotes": "<array>",
"restrictions": "<array>",
"status": "<string>",
"version": 123,
"workflow_data": "<array>",
"workflow_stage": "<unknown>",
"workflow_status": "<unknown>",
"workflow_status_uuid": "<unknown>"
}
],
"object": "<string>",
"pagination": {
"limit": 123,
"has_more": true,
"next_cursor": "<string>",
"prev_cursor": "<string>",
"links": {
"next": "<string>",
"prev": "<string>"
}
},
"url": "<string>"
}Accounts
List an account's component objects
Lists one component’s objects under an account and its child accounts, a page at a time.
GET
/
accounts
/
{account_id}
/
component
/
{component_id}
cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/accounts/ACC0001/component/cmp_4a7c2e9b1d3f4c8a9e6b2d1f3a5c7e9b?limit=20" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.accounts.get_account_component_objects(
"ACC0001", "cmp_4a7c2e9b1d3f4c8a9e6b2d1f3a5c7e9b", {"limit": 20}
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.accounts.getAccountComponentObjects('ACC0001', 'cmp_4a7c2e9b1d3f4c8a9e6b2d1f3a5c7e9b', {
limit: 20,
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->accounts->getAccountComponentObjects(
'ACC0001',
'cmp_4a7c2e9b1d3f4c8a9e6b2d1f3a5c7e9b',
['limit' => 20],
);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.custom_components.custom_components_dto.CustomComponentsDto.ComponentObjects;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<ComponentObjects> response = client.accounts().getAccountComponentObjects(
"ACC0001",
"cmp_4a7c2e9b1d3f4c8a9e6b2d1f3a5c7e9b",
Map.of("limit", 20));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Accounts.GetAccountComponentObjectsAsync(
"ACC0001",
"cmp_4a7c2e9b1d3f4c8a9e6b2d1f3a5c7e9b",
new Dictionary<string, object?> { ["limit"] = 20 });
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.accounts.getAccountComponentObjects(
'ACC0001',
'cmp_4a7c2e9b1d3f4c8a9e6b2d1f3a5c7e9b',
queryParams: {'limit': 20},
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Accounts().GetAccountComponentObjects(context.Background(), "ACC0001", "cmp_4a7c2e9b1d3f4c8a9e6b2d1f3a5c7e9b", map[string]any{"limit": 20}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"data": [
{
"accounts": "<array>",
"attribute_groups": "<array>",
"attributes": "<array>",
"code": "<string>",
"component": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"created_by": "<unknown>",
"created_on": "<string>",
"custom_form": {
"id": "<string>",
"name": "<string>",
"object": "<string>"
},
"custom_objects": "<array>",
"href": "<string>",
"id": "<string>",
"items": "<array>",
"last_updated_by": "<unknown>",
"last_updated_on": "<unknown>",
"object": "<string>",
"orders": "<array>",
"parents": [
{
"email": "<string>",
"id": "<string>",
"name": "<string>",
"object": "<string>",
"type": "<string>"
}
],
"quotes": "<array>",
"restrictions": "<array>",
"status": "<string>",
"version": 123,
"workflow_data": "<array>",
"workflow_stage": "<unknown>",
"workflow_status": "<unknown>",
"workflow_status_uuid": "<unknown>"
}
],
"object": "<string>",
"pagination": {
"limit": 123,
"has_more": true,
"next_cursor": "<string>",
"prev_cursor": "<string>",
"links": {
"next": "<string>",
"prev": "<string>"
}
},
"url": "<string>"
}Name the component by its
cmp_ id. The objects of the account and of its child accounts come under data, with cursor pagination. The url in the response names the component’s own objects path rather than the account path.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Path Parameters
The account's id, such as ACC0001. Not its uuid.
The component's cmp_ id.
Query Parameters
The most objects to return on one page.
Example:
20
The pagination.next_cursor from the previous page, to fetch the next page.